/*
 * generated by Xtext
 */
package fr.irisa.cairn;

import org.eclipse.xtext.generator.IFilePostProcessor;
import org.eclipse.xtext.scoping.IGlobalScopeProvider;
import org.eclipse.xtext.scoping.impl.ImportUriGlobalScopeProvider;

import fr.irisa.cairn.xtend.protectedregion.ProtectedRegionResolverAsPostProcessor;

/**
 * Use this class to register components to be used at runtime / without the Equinox extension registry.
 */
public class JniMapRuntimeModule extends fr.irisa.cairn.AbstractJniMapRuntimeModule {

	public java.lang.Class<? extends IFilePostProcessor> bindPostProcessor() {
		return ProtectedRegionResolverAsPostProcessor.class;
	}
	
	 @Override
	public Class<? extends IGlobalScopeProvider> bindIGlobalScopeProvider() {
		return ImportUriGlobalScopeProvider.class;
	}
}
